Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.webservice
Class MSMQWebClientApplication

    java.lang.Object
      com.stc.connector.msmqadapter.webservice.MSMQWebClientApplication

    public class MSMQWebClientApplication

extends java.lang.Object

Implements MSMQClientApplication which exposes operations available for the client application.

Constructor Summary
`MSMQWebClientApplication(MSMQApplicationConnection appConn)` Constructor.

Method Summary
`MSMQConfiguration` | `getMSMQConfiguration()` Get the MSMQConfiguration object for setting MSMQ connection information.
`GetWSMSMQMessageOutput` | `getWSMSMQMessage(payloadInput payload)`
`PutWSMSMQMessageOutput` | `putWSMSMQMessage(payloadInput payload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSMQWebClientApplication

    public MSMQWebClientApplication(MSMQApplicationConnection appConn)

  Constructor.

  Parameters:
    `appConn` - The MSMQApplicationConnection instance.

Method Detail

### getMSMQConfiguration

    public MSMQConfiguration getMSMQConfiguration()
                                           throws MSMQApplicationException

  Get the MSMQConfiguration object for setting MSMQ connection information.

  Returns:
    An MSMQConfiguration object for populating MSMQ connection information.
  Throws:
    `MSMQApplicationException` - upon error.

### putWSMSMQMessage

    public PutWSMSMQMessageOutput putWSMSMQMessage(payloadInput payload)
                                            throws MSMQWSException

  Throws:
    `MSMQWSException`

### getWSMSMQMessage

    public GetWSMSMQMessageOutput getWSMSMQMessage(payloadInput payload)
                                            throws MSMQWSException

  Throws:
    `MSMQWSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD